Debian Bug report logs - #481161
linux-image-2.6.25-2-686-bigmem: Non xen kernels have XEN enabled now? On purpose or bug

version graph

Package: nvidia-kernel-source; Maintainer for nvidia-kernel-source is Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>; Source for nvidia-kernel-source is src:nvidia-graphics-drivers.

Reported by: Philipp Kolmann <philipp@kolmann.at>

Date: Wed, 14 May 2008 08:54:10 UTC

Severity: serious

Merged with 481485, 482305, 482991

Fixed in version nvidia-graphics-drivers/169.12-2

Done: Randall Donald <rdonald@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#481161; Package linux-image-2.6.25-2-686-bigmem. Full text and rfc822 format available.

Acknowledgement sent to Philipp Kolmann <philipp@kolmann.at>:
New Bug report received and forwarded. Copy sent to unknown-package@qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Philipp Kolmann <philipp@kolmann.at>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: linux-image-2.6.25-2-686-bigmem: Non xen kernels have XEN enabled now? On purpose or bug
Date: Wed, 14 May 2008 10:53:33 +0200
Package: linux-image-2.6.25-2-686-bigmem
Version: 2.6.25-2
Severity: normal

Hi,

I just installed latest 2.6.25 kernel and wanted to compile nvidia graphics
drivers for this kernel. This fails, because xen is enabled in this kernel. Is
this on purpose now, that all kernels have xen enabled? If so, then please
change this BR to nvidia-graphics-drivers to fix xen support in there.

Thanks
Philipp

-- Package-specific info:

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.25-1-686-bigmem (SMP w/4 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/bash

Versions of packages linux-image-2.6.25-2-686-bigmem depends on:
ii  debconf [debconf-2.0]         1.5.21     Debian configuration management sy
ii  initramfs-tools [linux-initra 0.92a      tools for generating an initramfs
ii  module-init-tools             3.4-1      tools for managing Linux kernel mo

Versions of packages linux-image-2.6.25-2-686-bigmem recommends:
ii  libc6-i686                    2.7-11     GNU C Library: Shared libraries [i

-- debconf information:
  linux-image-2.6.25-2-686-bigmem/postinst/kimage-is-a-directory:
  linux-image-2.6.25-2-686-bigmem/preinst/lilo-has-ramdisk:
  linux-image-2.6.25-2-686-bigmem/postinst/create-kimage-link-2.6.25-2-686-bigmem: true
  linux-image-2.6.25-2-686-bigmem/prerm/would-invalidate-boot-loader-2.6.25-2-686-bigmem: true
  linux-image-2.6.25-2-686-bigmem/postinst/old-system-map-link-2.6.25-2-686-bigmem: true
  linux-image-2.6.25-2-686-bigmem/preinst/lilo-initrd-2.6.25-2-686-bigmem: true
  linux-image-2.6.25-2-686-bigmem/preinst/abort-overwrite-2.6.25-2-686-bigmem:
  shared/kernel-image/really-run-bootloader: true
  linux-image-2.6.25-2-686-bigmem/postinst/depmod-error-initrd-2.6.25-2-686-bigmem: false
  linux-image-2.6.25-2-686-bigmem/postinst/bootloader-error-2.6.25-2-686-bigmem:
  linux-image-2.6.25-2-686-bigmem/preinst/failed-to-move-modules-2.6.25-2-686-bigmem:
  linux-image-2.6.25-2-686-bigmem/preinst/elilo-initrd-2.6.25-2-686-bigmem: true
  linux-image-2.6.25-2-686-bigmem/preinst/abort-install-2.6.25-2-686-bigmem:
  linux-image-2.6.25-2-686-bigmem/prerm/removing-running-kernel-2.6.25-2-686-bigmem: true
  linux-image-2.6.25-2-686-bigmem/postinst/old-dir-initrd-link-2.6.25-2-686-bigmem: true
  linux-image-2.6.25-2-686-bigmem/postinst/bootloader-test-error-2.6.25-2-686-bigmem:
  linux-image-2.6.25-2-686-bigmem/preinst/initrd-2.6.25-2-686-bigmem:
  linux-image-2.6.25-2-686-bigmem/postinst/old-initrd-link-2.6.25-2-686-bigmem: true
  linux-image-2.6.25-2-686-bigmem/postinst/depmod-error-2.6.25-2-686-bigmem: false
  linux-image-2.6.25-2-686-bigmem/preinst/bootloader-initrd-2.6.25-2-686-bigmem: true
  linux-image-2.6.25-2-686-bigmem/preinst/overwriting-modules-2.6.25-2-686-bigmem: true




Bug reassigned from package `linux-image-2.6.25-2-686-bigmem' to `linux-2.6'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Wed, 14 May 2008 09:57:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#481161; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #12 received at 481161@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: Philipp Kolmann <philipp@kolmann.at>, 481161@bugs.debian.org
Subject: Re: Bug#481161: linux-image-2.6.25-2-686-bigmem: Non xen kernels have XEN enabled now? On purpose or bug
Date: Wed, 14 May 2008 12:18:10 +0200
reassign 481161 nvidia-graphics-drivers 
stop

hello philipp,

On Wed, May 14, 2008 at 10:53:33AM +0200, Philipp Kolmann wrote:
> Package: linux-image-2.6.25-2-686-bigmem
> Version: 2.6.25-2
> Severity: normal
> 
> Hi,
> 
> I just installed latest 2.6.25 kernel and wanted to compile nvidia graphics
> drivers for this kernel. This fails, because xen is enabled in this kernel. Is
> this on purpose now, that all kernels have xen enabled? If so, then please
> change this BR to nvidia-graphics-drivers to fix xen support in there.
> 
> Thanks
> Philipp

yes this is on purpuse, you don't seem to read changelog.
anyway the explication is that any x86_32 image of Debian
can boot and should be bootable as xen guest.

concerning nvidia i'd say bug your vendor to release proper drivers.
thus reassigning

sunny greetings

-- 
maks




Bug reassigned from package `linux-2.6' to `nvidia-graphics-drivers'. Request was from maximilian attems <max@stro.at> to control@bugs.debian.org. (Wed, 14 May 2008 10:24:09 GMT) Full text and rfc822 format available.

Bug reassigned from package `nvidia-graphics-drivers' to `nvidia-kernel-source'. Request was from Fredrik Olofsson <frol@hupp.se> to control@bugs.debian.org. (Mon, 19 May 2008 08:23:23 GMT) Full text and rfc822 format available.

Severity set to `serious' from `normal' Request was from Fredrik Olofsson <frol@hupp.se> to control@bugs.debian.org. (Mon, 19 May 2008 08:23:24 GMT) Full text and rfc822 format available.

Merged 481161 481485. Request was from Fredrik Olofsson <frol@hupp.se> to control@bugs.debian.org. (Mon, 19 May 2008 08:23:25 GMT) Full text and rfc822 format available.

Forcibly Merged 481161 481485 482305. Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. (Sun, 25 May 2008 21:05:13 GMT) Full text and rfc822 format available.

Forcibly Merged 481161 481485 482305 482991. Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. (Mon, 26 May 2008 12:15:05 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 20 Aug 2008 07:25:46 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 00:24:52 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.